## Index

### Modules

- Activities
- Chat
- Connection and Authentication
- Offline
- Presence
- Real Time Data
- Users and Identity

### Classes

- Convergence
- ConvergenceDomain
- ConvergenceError
- ConvergenceEventEmitter
- ConvergenceServerError
- ErrorEvent
- PagedData

### Enumerations

- LogLevel

### Interfaces

- IConvergenceEvent
- ILoggerConfig
- ILoggingConfigData
- OrderBy

### Type aliases

- ConvergenceEventListener
- StringMapLike

### Object literals

- ConvergenceErrorCodes

## Type aliases

### ConvergenceEventListener

ConvergenceEventListener<T>: function

The ConvergenceEventListener type defines a function which takes a specific subclass of IConvergenceEvent as a single argument in order to receive fired events. Consumers can use the familiar Node style event registration methods (e.g. addListener, removeListener, on, off, once, etc.) or they can consume events as an observable stream using the `events` method.

param

  The subclass of IConvergenceEvent that represents the fired event.

#### Type parameters

- #### T: IConvergenceEvent

#### Type declaration

- - (event: T): void

  - #### Parameters

    - ##### event: T

    #### Returns void

### StringMapLike

StringMapLike: Map<string, any> | object

Represents a Javascript Map or Object literal.

## Object literals

### ConstConvergenceErrorCodes

ConvergenceErrorCodes: object

Some potential error codes in Convergence.

### AUTHENTICATION_FAILED

AUTHENTICATION_FAILED: string = "authentication_failed"

### CHAT_NOT_JOINED

CHAT_NOT_JOINED: string = "chat_not_joined"

### OFFLINE

OFFLINE: string = "offline"

### REQUEST_TIMEOUT

REQUEST_TIMEOUT: string = "request_timeout"